System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

oracle 9i installed, but with error -- plz help

Maaz
Valued Contributor

oracle 9i installed, but with error -- plz help

OS: SUSE 10
following rpms instlled:
java-1_4_2-sun-1.4.2.11-9.2
gcc-java-4.1.0-28.4
gcc_old-2.95.3-175.2
libgcc-4.1.0-28.4
gcc-info-4.1.0-28.4
gcc-objc-4.1.0-28.4
gcc-c++-4.1.0-28.4
gcc-4.1.0-28.4
glibc-devel-2.4-31.2
glibc-2.4-31.2


I tried to install oracle 9i Release 2(9.2.0.4.0), every thing went smooth, but in last, Installer says some tools are failed to run

Tool Name
1,Oracle Net Configuration
2,Oracle Database Configuration Assistant
3,Agent Configuration Assistant

Details for Agent Configuration Assistant and Details for Oracle Database Configuration Assistant are same, and following:
/opt/oracle/jre/1.1.8/bin/../lib/i686/native_threads/libzip.so: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference (libzip.so)
Unable to initialize threads: cannot find class java/lang/Thread
Could not create Java VM

while
Details for Oracle Net Configuration Assistant:
No output available for this tool.

Now when I run installeer again > Installed Product... I can see that oracle is installed

Plz help
6 REPLIES
Steven E. Protter
Exalted Contributor

Re: oracle 9i installed, but with error -- plz help

Shalom,

The Oracle DBA assistant is one of the least useful and least necessary tools in the suite.

What happened does call into question as to whether or not oracle will function correction.

Things to do:
1) Check the install log for other errors. Installation requirements may not have been met so that means: DO-OVER!!!!

2) Check the java installation integrity and if it met installation requirements. Even the LD_LIBRARY_PATH requirment must be met exactly.

Try running the Database Assistance and see if it errors out. If it does, check normal database functionality. You can live without the assistance and the useless databases it creates.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Maaz
Valued Contributor

Re: oracle 9i installed, but with error -- plz help

Thanks Steven
>2) Check the java installation integrity and if it met installation requirements.
HOW
>Even the LD_LIBRARY_PATH requirment must be met exactly.
HOW

forget the first post (I am sorry I waste your time).. now plz consider the following
I have java-1_4_2-sun installed, and the installation directory/path is
/usr/lib/jvm
now my question is should I change the path of JRE_LOCATION, in the oraparam.ini from
JRE_LOCATION=../../stage/Components/oracle.swd.jre/1.3.1.0.0/1/DataFiles/Expanded/jre/linux
to
JRE_LOCATION=/usr/lib/jvm

Second
when as user oracle, i execute the installer, it goes smooth till the "Database Configuration" page, i select the
General Purpose > Next > now here installation progress bar stuck/hangs at 87%

following is the output of /opt/oracle/oraInventory/logs/oraInstall2007-04-26_04-37-20AM.err

java.lang.ExceptionInInitializerError: java.util.MissingResourceException: Can't find bundle for base name resources/libRes.properties, locale en
at java.util.ResourceBundle.throwMissingResourceExcep tion(ResourceBundle.java:712)
at java.util.ResourceBundle.getBundleImpl(ResourceBun dle.java:683)
at java.util.ResourceBundle.getBundle(ResourceBundle. java:546)
at OiGeneralPortQueryRes.(OiGeneralPortQueryRes.java:7)
at getFreePort.performQuery(getFreePort.java:477)
at oracle.sysman.oii.oiis.OiisCompContext.doQuery(Oii sCompContext.java:2330)
at Components.oracle.sysman.webserver.v9_2_0_1_0.Comp Context.getCalculatedValueObject_PORT(CompContext. java:304)
at Components.oracle.sysman.webserver.v9_2_0_1_0.Comp Context.getCalculatedValueObject(CompContext.java: 224)
at oracle.sysman.oii.oiis.OiisCompContext.getCalculat edValue(OiisCompContext.java:612)
at oracle.sysman.oii.oiis.OiisVariable.getCalculatedV alue(OiisVariable.java:733)
at oracle.sysman.oii.oiis.OiisVariable.setVariable(Oi isVariable.java:1407)
at oracle.sysman.oii.oiis.OiisCompContext.doOperation (OiisCompContext.java:991)
at oracle.sysman.oii.oiif.oiifb.OiifbLinearIterator.i terate(OiifbLinearIterator.java:116)
at oracle.sysman.oii.oiic.OiicCompsWizEngine.doOperat ion(OiicCompsWizEngine.java:182)
at oracle.sysman.oii.oiif.oiifb.OiifbLinearIterator.i terate(OiifbLinearIterator.java:116)
at oracle.sysman.oii.oiic.OiicInstallSession$OiicSelC ompsInstall.doOperation(OiicInstallSession.java:87 8)
at oracle.sysman.oii.oiif.oiifb.OiifbCondIterator.ite rate(OiifbCondIterator.java:140)
at oracle.sysman.oii.oiic.OiicPullSession.doOperation (OiicPullSession.java:614)
at oracle.sysman.oii.oiic.OiicSessionWrapper.doOperat ion(OiicSessionWrapper.java:177)
at oracle.sysman.oii.oiif.oiifb.OiifbLinearIterator.i terate(OiifbLinearIterator.java:116)
at oracle.sysman.oii.oiic.OiicInstaller.run(OiicInsta ller.java:358)
at oracle.sysman.oii.oiic.OiicInstaller.main(OiicInst aller.java:637)


Plz help me
Regards
Maaz
Valued Contributor

Re: oracle 9i installed, but with error -- plz help

is it possible that the problem is due to unhealthy/faulty installation media ?
Rob Leadbeater
Honored Contributor

Re: oracle 9i installed, but with error -- plz help

It looks more likely that there's something wrong with your Java installation.

If you run

# java -version

Does it come back with the version that you think you've got installed ?

You might also want to do that as the Oracle user...

Hope this helps,

Regards,

Rob
Maaz
Valued Contributor

Re: oracle 9i installed, but with error -- plz help

Thanks Rob Leadbeater
as user oracle, i ran the following command
~> java -version
java version "1.4.2_11"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_11-b06)
Java HotSpot(TM) Client VM (build 1.4.2_11-b06, mixed mode)

and here Once Again
>2) Check the java installation integrity and if it met installation requirements.
HOW
>Even the LD_LIBRARY_PATH requirment must be met exactly.
HOW

Regards
Maaz
Maaz
Valued Contributor

Re: oracle 9i installed, but with error -- plz help

[snip]
I have java-1_4_2-sun installed, and the installation directory/path is
/usr/lib/jvm
now my question is should I change the path of JRE_LOCATION, in the oraparam.ini from
JRE_LOCATION=../../stage/Components/oracle.swd.jre/1.3.1.0.0/1/DataFiles/Expanded
/jre/linux
to
JRE_LOCATION=/usr/lib/jvm
[/snip]